Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-9935

set junit dependency to test scope

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 2.1.0-beta
    • Fix Version/s: 2.1.1-beta
    • Component/s: build, test
    • Labels:
      None
    • Target Version/s:
    • Hadoop Flags:
      Reviewed

      Description

      junit should be set to scope test in hadoop-mapreduce-project and hadoop-yarn-project. This patch will fix the problem, that hadoop always pulls in its own version of junit and that junit is even included in the tarballs.

        Attachments

        1. HADOOP-9935.patch
          1 kB
          André Kelpe
        2. HADOOP-9935.patch
          1.0 kB
          André Kelpe

          Issue Links

            Activity

              People

              • Assignee:
                fs111 André Kelpe
                Reporter:
                fs111 André Kelpe
              • Votes:
                0 Vote for this issue
                Watchers:
                8 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: